Jump to content

User:Whatback11/styles.css

From Wikipedia, the free encyclopedia
.NDKDD {
	font-family: 'Roboto', 'Helvetica', sans-serif;
}

.NDKDD .NDKDD-intro a[href],
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description),
.NDKDD-catlinks li a[href] {
	display: inline-block;
	text-decoration: none;
	color: #fff !important;
	font-weight: bold;
}
.NDKDD .NDKDD-intro a[href]::before,
.NDKDD .NDKDD-intro a[href]::after,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description)::before,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description)::after,
.NDKDD-catlinks li a[href]::before,
.NDKDD-catlinks li a[href]::after {
	content: '';
	display: block;
	position: relative;
	opacity: 0;
	margin: auto;
	width: 80%;
	border-bottom: 1px solid #fff;
	transition-duration: 0.25s;
}
.NDKDD .NDKDD-intro a[href]::before {
	top: 2px;
}
.NDKDD .NDKDD-intro a[href]::after {
	bottom: 2px;
}
.NDKDD-catlinks li a[href]::before,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description)::before {
	top: -4px;
}
.NDKDD-catlinks li a[href]::after,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description)::after {
	bottom: -4px;
}
.NDKDD .NDKDD-intro a[href]:hover::before,
.NDKDD .NDKDD-intro a[href]:hover::after,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):hover::before,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):hover::after,
.NDKDD-catlinks li a[href]:hover::before, 
.NDKDD-catlinks li a[href]:hover::after {
	opacity: 1;
	width: 100%;
}
.NDKDD .NDKDD-intro a[href]:hover::before {
	top: 5px;
}
.NDKDD .NDKDD-intro a[href]:hover::after {
	bottom: 5px;
}
.NDKDD-catlinks li a[href]:hover::before,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):hover::before {
	top: -1px;
} 
.NDKDD-catlinks li a[href]:hover::after,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):hover::after {
	bottom: -1px;
}
.NDKDD .NDKDD-intro a[href]:active::before,
.NDKDD .NDKDD-intro a[href]:active::after,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):active::before,
.NDKDD .NDKDD-babel a[href]:not(.mw-file-description):active::after,
.NDKDD-catlinks li a[href]:active::before, 
.NDKDD-catlinks li a[href]:active::after {
	opacity: 1;
	width: 90%;
}